package com.brilliance.isc.bo.lg;

import com.brilliance.isc.bo.model.Gidgrp;
import com.brilliance.isc.common.vo.FremsgVo;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class PitfreStoreBo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private FremsgVo fremsg;




    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
    }
}
